FLANG

Public Member Functions | Public Attributes | List of all members
fir::NameUniquer::DeconstructedName Struct Reference

Components of an unparsed unique name. More...

`#include <flang/Optimizer/Support/InternalNames.h>`

## Public Member Functions
| DeconstructedName (llvm::StringRef name)
| DeconstructedName (llvm::ArrayRef< std::string > modules, llvm::Optional< std::string > host, llvm::StringRef name, llvm::ArrayRef< std::int64_t > kinds)

## Public Attributes
llvm::SmallVector< std::string, 2 > | modules
llvm::Optional< std::string > | host
std::string | name
llvm::SmallVector< std::int64_t, 4 > | kinds

## Detailed Description

Components of an unparsed unique name.

The documentation for this struct was generated from the following file:

- include/flang/Optimizer/Support/InternalNames.h